package weaver.interfaces.kqsolution.crob;

import com.alibaba.fastjson.JSON;
import com.engine.kqsolution.entity.SignDataParams;
import com.engine.kqsolution.service.impl.SignDataSummaryServiceImpl;
import com.weaver.general.BaseBean;
import weaver.common.DateUtil;
import weaver.interfaces.schedule.BaseCronJob;

import java.time.LocalDate;
import java.time.ZoneId;
import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Objects;

/**
 * @Author liang.cheng
 * @Date 2023/9/18 11:46 AM
 * @Description: 建模表定时刷新打卡及补卡流程数据
 * @Version 1.0
 */
public class SignDataSummaryCrob extends BaseCronJob {

    public static final DateTimeFormatter DATE_FORMATTER = DateTimeFormatter.ofPattern("yyyy-MM-dd");

    private String attendanceDate;

    private String formModeId;

    public String getFormModeId() {
        return formModeId;
    }

    public void setFormModeId(String formModeId) {
        this.formModeId = formModeId;
    }

    public String getAttendanceDate() {
        return attendanceDate;
    }

    public void setAttendanceDate(String attendanceDate) {
        this.attendanceDate = attendanceDate;
    }

    @Override
    public void execute() {

        SignDataSummaryServiceImpl summaryService = new SignDataSummaryServiceImpl();
        BaseBean bb = new BaseBean();

//        bb.writeLog("同步考勤数据原始参数:"+attendanceDate);
//
//
//        if (Objects.isNull(attendanceDate)) {
//            attendanceDate = DateUtil.getYesterday();
//        }

        String attendanceDateNew = DateUtil.getYesterday();

        SignDataParams build = SignDataParams.builder()
                .formModeId(formModeId)
                .attendanceDate(attendanceDateNew)
                .build();

        bb.writeLog("同步考勤数据参数:"+JSON.toJSONString(build));


        summaryService.recordSignData(build);
    }
}
